Subject: Re: mod_perl (ap-perl) issues
To: Phil Pereira <>
From: Stefan Schumacher <>
List: netbsd-users
Date: 10/31/2004 10:01:29
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Also sprach Phil Pereira (
> I recently installed NetBSD 2.0 RC4 and installed Apache and also mod-perl
> (ap-perl-1.29nb1) from pkgsrc. I then added the appropriate line to my
> httpd.conf file:
> LoadModule perl_module lib/httpd/
> However, this resulted in Apache core dumping each time I tried to start =
> If I remove the line, apache starts fine.
> Is it just me and my setup? I googled but found nothing helpful or recent=
> the issue. My system is running the following:

It's Perl. I used perl-5.8.3 succesfully on different machines with
mod-perl and apache1, but after updating to 5.8.4nb1 it isn't working
anymore (coredumps, errors, ...).

I installed the perl-5.8.3 pkg from with pkg_Add -f on=20
my server,  and everything runs fine now.=20

It's not the first time perl doesn't run with apache/mod-perl on
NetBSD, I have seen this issue at least 4 times since I'm using 1.6

Ohne Musik w=E4re das Leben ein Irrtum.
Friedrich Nietzsche, G=F6tzend=E4mmerung

Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.6 (NetBSD)